#include<iostream>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, ne=0, che=0, chislo, lastnechislo=0, lastchechislo=0;
    cin>>n;
    for(int i=1;i<=n;i++)
    {
        cin>>chislo;
        if(lastnechislo==0&&chislo!=1)ne++;
        if(chislo%2!=0)
        {
            if(chislo==1);
            else ne+=(chislo-lastnechislo)/2-1;
            lastnechislo=chislo;
        }
        else
        {
            che+=(chislo-lastchechislo)/2-1;
            lastchechislo=chislo;
        }
    }
    cout<<ne<<" "<<che;
    return 0;
}
